SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001123SiT!authenticationpublic2010-03-06 11:262015-04-20 13:19
Reporterivan 
Assigned Topaulh 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version3.51 
Target Version4.0Fixed in VersionCurrent GIT 
Summary0001123: Trusted server mode broken
DescriptionThe config option 'trusted_server' claims that passwords will no longer be required with this enabled. However I don't think this has worked in a long time, the feature hasn't been maintained.

We should probably remove this for 3.60 and discuss whether to keep the feature in the long term (4.x and beyond).
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0002610)
ivan (administrator)
2010-03-06 15:29

All the trusted_server option does right now is prevent passwords from being changed in the user profile. For 3.x I'm going to change the help on the config option but leave the option there.
User avatar (0002611)
ivan (administrator)
2010-03-06 15:33

Reworded in svn r6201 for 3.x, a decision still needs to be made for 4.x
User avatar (0003821)
ivan (administrator)
2011-06-03 22:20

Decision not made yet and feature freeze for 3.90 happened now, deferring until 4.0
User avatar (0004962)
paulh (administrator)
2015-04-20 13:19

1df2703 adds in this functionality

- Issue History
Date Modified Username Field Change
2010-03-06 11:26 ivan New Issue
2010-03-06 15:29 ivan Note Added: 0002610
2010-03-06 15:29 ivan Status new => assigned
2010-03-06 15:29 ivan Assigned To => ivan
2010-03-06 15:33 ivan Note Added: 0002611
2010-03-06 15:33 ivan Target Version 3.60 LTS => 4.0
2011-02-14 13:25 ivan Target Version 4.0 => 3.90beta1
2011-05-21 10:47 ivan Assigned To ivan =>
2011-05-21 15:31 ivan Status assigned => acknowledged
2011-06-03 22:20 ivan Note Added: 0003821
2011-06-03 22:20 ivan Target Version 3.90beta1 => 4.0
2015-04-19 20:11 paulh Assigned To => paulh
2015-04-19 20:11 paulh Status acknowledged => assigned
2015-04-20 13:19 paulh Note Added: 0004962
2015-04-20 13:19 paulh Fixed in Version => Current GIT
2015-04-20 13:19 paulh Status assigned => resolved
2015-04-20 13:19 paulh Resolution open => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker